Telemetry

Get device telemetry. In Gridshare every kind of device has a corresponding telemetry schema. Currently Gridshare supports the following device kinds:

  • Inverter ( interver )
  • Battery Pack ( battery_pack )
  • PV array (PV)
  • Electric Vehicle (EV)
  • Meter (meter)
  • Load Control Relay (load_control_relay)

Note the "Device kind" is a simpler and broader definition of type, compared to "Device type" used in other endpoints.

synthId can be either:

  • A Device ID (from the /sites and /devices endpoints)
  • An ID from the Topology endpoint (any node with "kind": "sensor").

Energy

The fields energy_Wh_increment and energy_Wh_decrement are only populated if you include energy in the include query parameter (e.g. include=default,energy).

  • energy_Wh_increment is a positive value representing total energy inflow to the device.
  • energy_Wh_decrement is a negative value representing total energy outflow from the device.

These are intended to be lifetime cumulative values. In exceptional circumstances, these values might get reset.

Energy flow is subjective to the device. For example, if a system was charging from solar the PV would have energy_Wh_decrement value reduced (i.e. more negative) the battery would have the energy_Wh_increment value increased and (if there was left over energy exported to grid) the inverter would have the energy_Wh_decrement value reduced (i.e. more negative).

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Unique identifier of the device.

Query Params
string

The time resolution of the telemetry data in ISO8601 Duration format, e.g. PT30M

string
required

The ISO8601 encoded time interval to retrieve. For example:

  • 2026-01-01T00:00:00Z/2026-01-07T00:00:00Z
  • P7D/2026-01-07T00:00:00Z
  • 2026-01-01T00:00:00Z/P7D
string

Comma separated list of fields types to include. Valid values are:

  • default: Include standard fields such as power_W, state etc (everything except the energy fields)
  • energy: Include energy telemetry in the response. This will populate the fields energy_Wh_increment and energy_Wh_decrement

If not specified then only the default fields are returned.

Responses

Language
URL
LoadingLoading…
Response
Choose an example:
application/json